List Available Card Types
GET/openapi/v2/cards/types| Item | Value |
|---|---|
| HTTP method | GET |
| Request path | /openapi/v2/cards/types |
| Request type | query |
Request parameters:
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
cardType | string | No | None | Card type; currently known values are PHYSICAL, VIRTUAL. Product configuration may introduce additional values; up to 32 characters. |
currency | string | No | None | Card product currency, usually a three-letter ISO 4217 code. Product configuration may introduce additional values; up to 16 characters. |
cardScheme | string | No | None | Card network; common values are VISA, MASTERCARD. Product configuration may introduce additional values; up to 32 characters. |
email | string | No | None | User email; when supplied, only products currently available to that user are returned. |
memberId | string | No | None | Deprecated compatibility field used with email for cross-checking. |
page | integer | No | 1 | Page number, minimum 1. |
pageSize | integer | No | 20 | Number of items per page, from 1 to 100. |
Response data
| Field | Type | Description |
|---|---|---|
items | array | List of card types. |
items[].cardTypeId | string | Card type ID. |
items[].displayName | string | Display name. |
items[].cardType | string | Card type; currently known values are PHYSICAL, VIRTUAL. Product configuration may introduce additional values. |
items[].currency | string | Card product currency, usually a three-letter ISO 4217 code. Product configuration may introduce additional values. |
items[].cardScheme | string | Card network; common values are VISA, MASTERCARD. Product configuration may introduce additional values. |
items[].priceAmount | string | Card issuance price, as a decimal string without scientific notation. |
items[].priceAssetCode | string | Card issuance price asset. |
items[].cardImageUrl | string | Card image URL. |
items[].cardDesc | string | Card description. |
items[].availableToIssue | boolean/null | Whether the user may apply; null when no user identity is supplied. |
items[].unavailableReasonCode | string/null | Stable platform reason code when unavailable. |
items[].unavailableMessage | string/null | Human-readable reason when unavailable. |
page | integer | Current page number. |
pageSize | integer | Number of items per page. |
total | integer | Total count. |
